Redmine - Feature #391

Links to notes/comments/replies in issues.
2007-07-18 09:12 - Andris Zageris

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed

Description

Links using fragment URlIs to notes added by users to issues.
Pasting links in IM (Skype, etc.) would be so much nicer:

http://demo.redmine.org/issues/show/1#note-3

instead of

http://demo.redmine.org/issues/show/1 (see the comment 11/17/2006 11:14 AM - Dave Loper)

Bugzilla could serve as an example. It also adds a nice link "reply to this comment", wich adds some content

into the textarea via javascript, refering to the comment.

Magic links (e.g. note-12345 -> http://demo.redmine.org/issues/show/1#note-3) would also be handy (just like with

#123 and r123).

Related issues:
Related to Redmine - Feature #739: reply link after each existing ticket note
Related to Redmine - Feature #2715: "Magic links" to notes

Closed
Closed

2008-02-25
2009-02-11

History

#1 - 2007-08-12 10:00 - Jean-Philippe Lang

The main point (anchor links) is done in rev 613.
You can now link to notes using: /issues/show/1#note-3
These links appear for each note on the issue history.

I'll try to add magic links too.

#2 - 2008-06-14 17:09 - Jean-Philippe Lang
- Category set to Issues

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

"Reply" link added in r1480.

#3 - 2010-03-19 22:08 - Andrew Paulsen
Jean-Philippe Lang wrote:
The main point (anchor links) is done in rev 613.
You can now link to notes using: /issues/show/1#note-3

These links appear for each note on the issue history.

I'll try to add magic links too.

Did the magic links get implemented? | would find that useful.
http://demo.redmine.org/issues/show/1#note-3
http://demo.redmine.org/issues/show/1
http://demo.redmine.org/issues/show/1#note-3
https://www.redmine.org/issues/123
https://www.redmine.org/projects/redmine/repository/svn/revisions/123
https://www.redmine.org/projects/redmine/repository/svn/revisions/1480

#4 - 2010-05-31 20:55 - Guilherme Schneider
About magic links, see #2715
https://www.redmine.org/issues/2715
http://www.tcpdf.org

